import { request } from '@/utils/request'

export function getBonusList(params) {
    return request('/bonus/getBonusList', 'post', params)
}

export function getBonus(type_id) {
    return request('/bonus/getBonus', 'post', { type_id })
}

export function addBonus(params) {
    return request('/bonus/addBonus', 'post', params)
}

export function updateBonus(params) {
    return request('/bonus/updateBonus', 'post', params)
}

export function deleteBonusType(id) {
    return request('/bonus/deleteBonusType', 'get', { id })
}

export function getUseBonusList(params) {
    return request('/bonus/getUseBonusList', 'post', params)
}

export function deleteBonus(id) {
    return request('/bonus/deleteBonus', 'get', { id })
}

export function deleteUseBonus(id) {
    return request('/bonus/deleteUseBonus', 'get', { id })
}

export function sendBonus(params) {
    return request('/bonus/send', 'post', params)
}

export function getUseList(params) {
    return request('/bonus/getUseList', 'post', params)
}
